/*
 * Copyright (c) 2007 innoSysTec (R) GmbH, Germany. All rights reserved.
 * Original author: Edmund Wagner
 * Creation date: 22.05.2007
 *
 * Source: $HeadURL$
 * Last changed: $LastChangedDate$
 * 
 * 
 * the unrar licence applies to all junrar source and binary distributions 
 * you are not allowed to use this source to re-create the RAR compression algorithm
 *
 * Here some html entities which can be used for escaping javadoc tags:
 * "&":  "&#038;" or "&amp;"
 * "<":  "&#060;" or "&lt;"
 * ">":  "&#062;" or "&gt;"
 * "@":  "&#064;" 
 */
package com.innosystec.unrar.rarfile;

/**
 * DOCUMENT ME
 *
 * @author $LastChangedBy$
 * @version $LastChangedRevision$
 */
public class HostSystem
{
	public static final byte msdos = ((byte) 0),
		os2 = ((byte) 1),
		win32 = ((byte) 2),
		unix = ((byte) 3),
		macos = ((byte) 4),
		beos = ((byte) 5);

	public static final String[] names =
	{
		"msdos",
		"os2",
		"win32",
		"unix",
		"macos",
		"beos"
	};

	private byte hostByte;

	public static byte findHostSystem(byte hostByte)
	{
		return hostByte;
	}

	private HostSystem(byte hostByte)
	{
		this.hostByte = hostByte;
	}

	public boolean equals(byte hostByte)
	{
		return this.hostByte == hostByte;
	}

	public byte getHostByte()
	{
		return hostByte;
	}
	//???? public static final byte max = 6; 
}
